Bug 1443615 (CVE-2017-7645)

Summary: CVE-2017-7645 kernel: nfsd: Incorrect handling of long RPC replies
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: apmukher, aquini, bhu, dhoward, dominik.mierzejewski, fhrbata, gansalmon, hwkernel-mgr, iboverma, ichavero, itamar, jforbes, jkacur, jonathan, jross, jwboyer, kent, kernel-maint, kernel-mgr, labbott, lgoncalv, madhu.chinakonda, matt, mchehab, mcressma, nmurray, pholasek, plougher, ppandit, rt-maint, rvrbovsk, slawomir, slong, williams, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20170414,reported=20170418,source=cve,cvss2=7.1/AV:N/AC:M/Au:N/C:N/I:N/A:C,cvss3=7.5/CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H,cwe=CWE-130,rhel-5/kernel=affected,rhel-6/kernel=affected,rhel-7/kernel=affected,rhel-7/kernel-rt=affected,mrg-2/realtime-kernel=affected,rhelsa-7/arm-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
The NFS2/3 RPC client could send long arguments to the NFS server. These encoded arguments are stored in an array of memory pages, and accessed using pointer variables. Arbitrarily long arguments could make these pointers point outside the array and cause an out-of-bounds memory access. A remote user or program could use this flaw to crash the kernel, resulting in denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:10:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1442407, 1443617, 1447168, 1447640, 1447641, 1447642, 1447643, 1447644, 1447645, 1447646, 1447647    
Bug Blocks: 1443616    

Description Andrej Nemec 2017-04-19 14:45:10 UTC
The Linux kernel built with the NFS Server Support(CONFIG_NFSD) is vulnerable to an out-of-bounds memory access issue. It could occur while processing arbitrarily long arguments sent by the NFSv2/NFSv3 PRC clients.

A remote RPC user/program could use this flaw to crash the krenel, resulting in DoS.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/e6838a29ecb484c97e4efef9429643b9851fba6e

References:
-----------
  -> https://marc.info/?l=linux-nfs&m=149218228327497&w=2
  -> http://seclists.org/oss-sec/2017/q2/195

Comment 1 Andrej Nemec 2017-04-19 14:46:12 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1443617]

Comment 2 Prasad J Pandit 2017-05-03 11:36:54 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with
Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise MRG 2. Future kernel
updates for Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise MRG 2 may
address this issue.

Comment 10 errata-xmlrpc 2017-06-28 16:36:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:1647 https://access.redhat.com/errata/RHSA-2017:1647

Comment 11 errata-xmlrpc 2017-06-28 17:05:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1615 https://access.redhat.com/errata/RHSA-2017:1615

Comment 12 errata-xmlrpc 2017-06-28 17:08:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1616 https://access.redhat.com/errata/RHSA-2017:1616

Comment 13 errata-xmlrpc 2018-05-08 18:59:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1319 https://access.redhat.com/errata/RHSA-2018:1319